| PST SDK 6.0.0.0-272350a

Public Member Functions | List of all members
PSTech::pstsdk::Listener Class Reference
PST SDK C++ API

Abstract listener class for receiving tracking information and tracking mode updates. More...

`#include <pstsdk_cpp.h>`

## Public Member Functions
virtual void | OnTrackerData (const TrackerData &data)
| Callback function receiving tracking information from the tracker. More...
virtual void | OnTrackerMode (const TrackerMode mode)
| Callback function receiving tracking mode updates from the the tracker. More...
virtual | ~Listener ()

## Detailed Description

Extend this class and implement its methods in order to receive tracking information and tracking mode updates from the PST Tracker. Alternatively, Tracker::GetSingleMeasurement() can be called to get the latest available tracking data.

See also
  Tracker::AddTrackerListener()
  Tracker::RemoveTrackerListener()
  Tracker::GetSingleMeasurement()

Examples:
  exposure.cpp, images.cpp, listener.cpp, minimal.cpp, reference.cpp, and trackingtarget.cpp.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual PSTech::pstsdk::Listener::~Listener | ( |  | ) |
| inline virtual

Here is the call graph for this function:

## Member Function Documentation

## ◆ OnTrackerData()

virtual void PSTech::pstsdk::Listener::OnTrackerData | ( | const TrackerData & | data | ) |
| inline virtual

Implement the OnTrackerData method to receive tracking information from the PST Tracker.

Parameters

  [out] | data | A TrackerData object containing the detected tracking targets and 3D markers.

See also
  TrackerData

Examples:
  exposure.cpp, images.cpp, listener.cpp, minimal.cpp, reference.cpp, and trackingtarget.cpp.

## ◆ OnTrackerMode()

virtual void PSTech::pstsdk::Listener::OnTrackerMode | ( | const TrackerMode | mode | ) |
| inline virtual

Implement the OnTrackerMode method to receive tracking mode updates of the PST Tracker. This function enables responding to the different PST Tracker mode changes enumerated by TrackerMode as soon as they occur.

Parameters

  [out] | mode | Current tracker mode code as TrackerMode enumeration member.

See also
  TrackerMode

Examples:
  listener.cpp.

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/cpp/include/pstsdk_cpp.h